AI Sync

AI Dashboard

Appointment Calls

GEThttps://app.rizzdial.com/api/ai/dashboard/appointments
Appointment Calls
curl --request GET \
  --url 'https://app.rizzdial.com/api/ai/dashboard/appointments?date_range=Today&agent_id=All&per_page=15&page=1' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "id": 88,
        "agent_name": "Outbound",
        "appointment": "Oct 19, 2026 2:00 PM"
      }
    ],
    "pagination": {
      "to": 1,
      "from": 1,
      "total": 1,
      "per_page": 15,
      "last_page": 1,
      "current_page": 1
    }
  },
  "success": true
}

Appointment Calls#

Paginated calls in the date range that have an appointment date. Use Get Call Details with the row id.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

date_rangestringquery

Today (default), Yesterday, Last 7 Days, Last 14 Days, Last 30 Days, This Week Sun, This Week Mon, Last Week Sun, Last Week Mon, Last Business Week, This Month, Last Month, Last Year. For a custom window send start_date and end_date

start_datestringquery

Custom start date Y-m-d. Used with end_date

end_datestringquery

Custom end date Y-m-d. Used with start_date

agent_idstringquery

All (default) or an agent_id from Dashboard Summary

company_idintegerquery

Signed-in company by default. Agency accounts may pass a child company id

per_pageintegerquery

Rows per page. Default 15. Maximum 100

pageintegerquery

Page number. Default 1

searchstringquery

Matches numbers, agent name, or related fields

curl --request GET \
  --url https://app.rizzdial.com/api/ai/dashboard/appointments?date_range=Today&per_page=15 \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

id, call_datetime, agent_name, numbers, duration, appointment, status, direction, sentiment, recording_available

data.paginationobject

total, current_page, per_page, last_page, from, and to